﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PictureFrame
{
    public partial class Form1 : Form
    {
        int imageindex = 0; 
        //used for iterating the image list

        public Form1()
        {
            InitializeComponent();
            this.AutoSize = true;
            this.AutoSizeMode = AutoSizeMode.GrowAndShrink;
            panel1.Hide();
        }

        private void pictureBox1_Click(object sender, EventArgs e)
        {
            panel1.Show();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (DialogResult.OK == ofd.ShowDialog())
            {
                string newphotopath = ofd.FileName;
                imageListBox.Items.Add(newphotopath);
            }
        }

        private void listBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            previewPictureBox.ImageLocation = imageListBox.SelectedItem.ToString();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            timer1.Start();
            timer1.Interval = 2000; // 2sec
            panel1.Hide();
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            
            //count the current photos in listbox
            int nofphotos = imageListBox.Items.Count;
            if (nofphotos != 0)
            {
                imageindex = (imageindex + 1) % nofphotos;
                pictureBox1.ImageLocation =
                    imageListBox.Items[imageindex].ToString();
            }

        }

        private void button4_Click(object sender, EventArgs e)
        {
            imageListBox.Items.Clear();

        }

        private void button3_Click(object sender, EventArgs e)
        {
            try
            {
                imageListBox.Items.RemoveAt(imageListBox.SelectedIndex);
            }
            catch (Exception ex)
            {
                MessageBox.Show("Please select a photo");
            }
        }

        private void button5_Click(object sender, EventArgs e)
        {
            timer1.Stop();
            panel1.Hide();
        }
    }
}
